# Generated from bank_of_baku-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bank_of_baku

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Ruby interface to Bank of Baku online payment gateway
License: BSD-2-Clause
URL: https://github.com/narkoz/bank_of_baku
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(pry) >= 0.12
# BuildRequires: rubygem(pry) < 1
BuildArch: noarch

%description
Provides Ruby APIs to create, process and manage Bank of Baku payments.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Sun Sep 12 2021 mockbuilder - 1.0.0-1
- Initial package
